## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           caliper
Version:        2.10.0
Release:        %autorelease
Summary:        An instrumentation and performance profiling library

License:        BSD-3-Clause
URL:            https://software.llnl.gov/Caliper
Source0:        https://github.com/llnl/Caliper/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  gcc-gfortran
BuildRequires:  gotcha-devel
BuildRequires:  gtest
BuildRequires:  libdwarf-devel
BuildRequires:  libpfm-devel
BuildRequires:  libunwind-devel
BuildRequires:  papi-devel
BuildRequires:  python3-devel
BuildRequires:  python3dist(sphinx)

%description
Caliper is a performance instrumentation and profiling library for HPC 
(high-performance computing) programs. It provides source-code annotation
APIs for marking regions of interest in C, C++, and Fortran code, as well
as a set of built-in performance measurement recipes for a wide range of
performance engineering use cases, such as lightweight always-on profiling,
event tracing, or performance monitoring. Alternatively, users can create
custom measurement configurations for specialized use cases.

%package devel

Summary:        An instrumentation and performance profiling library
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
Development header files for Caliper

%prep
%autosetup -n Caliper-%{version}


%build
%cmake -DWITH_FORTRAN=TRUE \
       -DBUILD_SHARED_LIBS=TRUE \
       -DCMAKE_INSTALL_RPATH_USE_LINK_PATH=FALSE \
       -DWITH_TOOLS=TRUE \
       -DWITH_NVTX=FALSE \
       -DWITH_CUPTI=FALSE \
       -DWITH_PAPI=TRUE \
       -DWITH-LIBPFM=TRUE \
       -DWITH-LIBDW=TRUE \
       -DWITH-MPI=FALSE \
       -DWITH-OMPT=TRUE \
       -DWITH_SAMPLER=TRUE \
       -DWITH_GOTCHA=TRUE \
       -DUSE_EXTERNAL_GOTCHA=TRUE \
       -DWITH_ROCTX=FALSE \
       -DWITH_ROCTRACER=FALSE \
       -DWITH_ROCM=FALSE \
       -DWITH_TAU=FALSE \
       -DWITH_VTUNE=FALSE \
       -DWITH_ADIAK=FALSE \
       -DWITH_KOKKOS=FALSE \
       -DWITH_PCP=FALSE \
       -DWITH_UMPIRE=FALSE \
       -DENABLE_HISTOGRAMS=FALSE \
       -DBUILD_TESTING=FALSE \
       -DBUILD_DOCS=TRUE \
       -DRUN_MPI_TESTS=FALSE \
       -DINSTALL_CONFIG=TRUE \
       -DINSTALL_HEADERS=TRUE

%cmake_build


%install
%cmake_install


%files
%license LICENSE
%license NOTICE
%doc CITATION.cff
%doc README.md
%{_bindir}/cali-query
%{_bindir}/cali-stat
%{_libdir}/libcaliper-serial.so.2
%{_libdir}/libcaliper-serial.so.2.10.0
%{_libdir}/libcaliper-tools-util.so.2
%{_libdir}/libcaliper-tools-util.so.2.10.0
%{_libdir}/libcaliper.so.2
%{_libdir}/libcaliper.so.2.10.0

%files devel
%dir %{_includedir}/caliper
%{_includedir}/caliper/Annotation.h
%{_includedir}/caliper/AnnotationBinding.h
%{_includedir}/caliper/BufferedRegionProfile.h
%{_includedir}/caliper/CaliFunctional.h
%{_includedir}/caliper/Caliper.h
%{_includedir}/caliper/CaliperService.h
%{_includedir}/caliper/ChannelController.h
%{_includedir}/caliper/CollectiveOutputChannel.h
%{_includedir}/caliper/ConfigManager.h
%{_includedir}/caliper/MpiChannelManager.h
%{_includedir}/caliper/RegionProfile.h
%{_includedir}/caliper/SnapshotRecord.h
%{_includedir}/caliper/cali-manager.h
%{_includedir}/caliper/cali-mpi.h
%{_includedir}/caliper/cali.h
%{_includedir}/caliper/cali_datatracker.h
%{_includedir}/caliper/cali_definitions.h
%{_includedir}/caliper/cali_macros.h
%{_includedir}/caliper/caliper-config.h
%dir %{_includedir}/caliper/common
%{_includedir}/caliper/common/Attribute.h
%{_includedir}/caliper/common/CaliperMetadataAccessInterface.h
%{_includedir}/caliper/common/CompressedSnapshotRecord.h
%{_includedir}/caliper/common/Entry.h
%{_includedir}/caliper/common/Log.h
%{_includedir}/caliper/common/Node.h
%{_includedir}/caliper/common/NodeBuffer.h
%{_includedir}/caliper/common/OutputStream.h
%{_includedir}/caliper/common/RuntimeConfig.h
%{_includedir}/caliper/common/SnapshotBuffer.h
%{_includedir}/caliper/common/SnapshotTextFormatter.h
%{_includedir}/caliper/common/StringConverter.h
%{_includedir}/caliper/common/Variant.h
%dir %{_includedir}/caliper/common/c-util
%{_includedir}/caliper/common/c-util/unitfmt.h
%{_includedir}/caliper/common/c-util/vlenc.h
%{_includedir}/caliper/common/cali_types.h
%{_includedir}/caliper/common/cali_variant.h
%dir %{_includedir}/caliper/common/util
%{_includedir}/caliper/common/util/callback.hpp
%{_includedir}/caliper/common/util/lockfree-tree.hpp
%{_includedir}/caliper/common/util/spinlock.hpp
%{_includedir}/caliper/common/util/split.hpp
%dir %{_includedir}/caliper/fortran
%{_includedir}/caliper/fortran/caliper_mod.mod
%dir %{_includedir}/caliper/reader
%{_includedir}/caliper/reader/Aggregator.h
%{_includedir}/caliper/reader/CalQLParser.h
%{_includedir}/caliper/reader/CaliReader.h
%{_includedir}/caliper/reader/CaliWriter.h
%{_includedir}/caliper/reader/CaliperMetadataDB.h
%{_includedir}/caliper/reader/Expand.h
%{_includedir}/caliper/reader/FlatExclusiveRegionProfile.h
%{_includedir}/caliper/reader/FlatInclusiveRegionProfile.h
%{_includedir}/caliper/reader/FormatProcessor.h
%{_includedir}/caliper/reader/Formatter.h
%{_includedir}/caliper/reader/JsonFormatter.h
%{_includedir}/caliper/reader/JsonSplitFormatter.h
%{_includedir}/caliper/reader/NestedExclusiveRegionProfile.h
%{_includedir}/caliper/reader/NestedInclusiveRegionProfile.h
%{_includedir}/caliper/reader/Preprocessor.h
%{_includedir}/caliper/reader/QueryProcessor.h
%{_includedir}/caliper/reader/QuerySpec.h
%{_includedir}/caliper/reader/RecordProcessor.h
%{_includedir}/caliper/reader/RecordSelector.h
%{_includedir}/caliper/reader/SnapshotTree.h
%{_includedir}/caliper/reader/TableFormatter.h
%{_includedir}/caliper/reader/TreeFormatter.h
%{_includedir}/caliper/reader/UserFormatter.h
%dir %{_includedir}/caliper/tools-util
%{_includedir}/caliper/tools-util/Args.h
%{_includedir}/caliper/typesCaliper.h
%{_includedir}/caliper/wrapAnnotation.h
%{_includedir}/caliper/wrapBufferedRegionProfile.h
%{_includedir}/caliper/wrapCaliper.h
%{_includedir}/caliper/wrapConfigManager.h
%{_includedir}/caliper/wrapScopeAnnotation.h
%{_libdir}/libcaliper-serial.so
%{_libdir}/libcaliper-tools-util.so
%{_libdir}/libcaliper.so
%{_libdir}/pkgconfig/caliper.pc
%{_datadir}/cmake/caliper/caliper-config.cmake
%{_datadir}/cmake/caliper/caliper-targets-noconfig.cmake
%{_datadir}/cmake/caliper/caliper-targets.cmake


%changelog
* Fri Nov 17 2023 John Doe <packager@example.com> - 2.10.0-1
- Uncommitted changes
